javax.faces.event

## Class BehaviorEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - javax.faces.event.BehaviorEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AjaxBehaviorEvent

      public abstract class BehaviorEvent
      extends FacesEvent

  BehaviorEvent is the event that can be generated from component `Behavior`.

  Since:
    2.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BehaviorEvent(UIComponent component, Behavior behavior)` Construct a new event object from the specified source component and `behavior`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Behavior` | `getBehavior()` Return the source `Behavior` that sent this event.

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, isAppropriateListener, processListener, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BehaviorEvent

          public BehaviorEvent(UIComponent component,
                       Behavior behavior)

      Construct a new event object from the specified source component and `behavior`.

      Parameters:
        `component` - Source `UIComponent` for this event
        `behavior` - `Behavior` that sent this event
      Throws:
        `IllegalArgumentException` - if `component` or `behavior` is `null`
      Since:
        2.0

  - ### Method Detail

    - #### getBehavior

          public Behavior getBehavior()

      Return the source `Behavior` that sent this event.

      Since:
        2.0

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.